Package xg

# Interface Validator.ValidatorOptionsOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `Validator.ValidatorOptions`, `Validator.ValidatorOptions.Builder`

Enclosing class:
  Validator

public static interface Validator.ValidatorOptionsOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getCountEqual()`
`optional string count_equal = 9;`
`ByteString`
`getCountEqualBytes()`
`optional string count_equal = 9;`
`String`
`getCountMax()`
`optional string count_max = 8;`
`ByteString`
`getCountMaxBytes()`
`optional string count_max = 8;`
`String`
`getCountMin()`
`optional string count_min = 7;`
`ByteString`
`getCountMinBytes()`
`optional string count_min = 7;`
`String`
`getCountNotEqual()`
`optional string count_not_equal = 10;`
`ByteString`
`getCountNotEqualBytes()`
`optional string count_not_equal = 10;`
`String`
`getEqual()`
`optional string equal = 3;`
`ByteString`
`getEqualBytes()`
`optional string equal = 3;`
`String`
`getHasKey()`
`optional string has_key = 11;`
`ByteString`
`getHasKeyBytes()`
`optional string has_key = 11;`
`String`
`getMax()`
`optional string max = 2;`
`ByteString`
`getMaxBytes()`
`optional string max = 2;`
`String`
`getMin()`
`optional string min = 1;`
`ByteString`
`getMinBytes()`
`optional string min = 1;`
`String`
`getNotEqual()`
`optional string not_equal = 4;`
`ByteString`
`getNotEqualBytes()`
`optional string not_equal = 4;`
`String`
`getRegex()`
`optional string regex = 6;`
`ByteString`
`getRegexBytes()`
`optional string regex = 6;`
`String`
`getUuid()`
`optional string uuid = 5;`
`ByteString`
`getUuidBytes()`
`optional string uuid = 5;`
`boolean`
`hasCountEqual()`
`optional string count_equal = 9;`
`boolean`
`hasCountMax()`
`optional string count_max = 8;`
`boolean`
`hasCountMin()`
`optional string count_min = 7;`
`boolean`
`hasCountNotEqual()`
`optional string count_not_equal = 10;`
`boolean`
`hasEqual()`
`optional string equal = 3;`
`boolean`
`hasHasKey()`
`optional string has_key = 11;`
`boolean`
`hasMax()`
`optional string max = 2;`
`boolean`
`hasMin()`
`optional string min = 1;`
`boolean`
`hasNotEqual()`
`optional string not_equal = 4;`
`boolean`
`hasRegex()`
`optional string regex = 6;`
`boolean`
`hasUuid()`
`optional string uuid = 5;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasMin

boolean hasMin()
`optional string min = 1;`

Returns:
  Whether the min field is set.

### getMin

String getMin()
`optional string min = 1;`

Returns:
  The min.

### getMinBytes

ByteString getMinBytes()
`optional string min = 1;`

Returns:
  The bytes for min.

### hasMax

boolean hasMax()
`optional string max = 2;`

Returns:
  Whether the max field is set.

### getMax

String getMax()
`optional string max = 2;`

Returns:
  The max.

### getMaxBytes

ByteString getMaxBytes()
`optional string max = 2;`

Returns:
  The bytes for max.

### hasEqual

boolean hasEqual()
`optional string equal = 3;`

Returns:
  Whether the equal field is set.

### getEqual

String getEqual()
`optional string equal = 3;`

Returns:
  The equal.

### getEqualBytes

ByteString getEqualBytes()
`optional string equal = 3;`

Returns:
  The bytes for equal.

### hasNotEqual

boolean hasNotEqual()
`optional string not_equal = 4;`

Returns:
  Whether the notEqual field is set.

### getNotEqual

String getNotEqual()
`optional string not_equal = 4;`

Returns:
  The notEqual.

### getNotEqualBytes

ByteString getNotEqualBytes()
`optional string not_equal = 4;`

Returns:
  The bytes for notEqual.

### hasUuid

boolean hasUuid()
`optional string uuid = 5;`

Returns:
  Whether the uuid field is set.

### getUuid

String getUuid()
`optional string uuid = 5;`

Returns:
  The uuid.

### getUuidBytes

ByteString getUuidBytes()
`optional string uuid = 5;`

Returns:
  The bytes for uuid.

### hasRegex

boolean hasRegex()
`optional string regex = 6;`

Returns:
  Whether the regex field is set.

### getRegex

String getRegex()
`optional string regex = 6;`

Returns:
  The regex.

### getRegexBytes

ByteString getRegexBytes()
`optional string regex = 6;`

Returns:
  The bytes for regex.

### hasCountMin

boolean hasCountMin()
`optional string count_min = 7;`

Returns:
  Whether the countMin field is set.

### getCountMin

String getCountMin()
`optional string count_min = 7;`

Returns:
  The countMin.

### getCountMinBytes

ByteString getCountMinBytes()
`optional string count_min = 7;`

Returns:
  The bytes for countMin.

### hasCountMax

boolean hasCountMax()
`optional string count_max = 8;`

Returns:
  Whether the countMax field is set.

### getCountMax

String getCountMax()
`optional string count_max = 8;`

Returns:
  The countMax.

### getCountMaxBytes

ByteString getCountMaxBytes()
`optional string count_max = 8;`

Returns:
  The bytes for countMax.

### hasCountEqual

boolean hasCountEqual()
`optional string count_equal = 9;`

Returns:
  Whether the countEqual field is set.

### getCountEqual

String getCountEqual()
`optional string count_equal = 9;`

Returns:
  The countEqual.

### getCountEqualBytes

ByteString getCountEqualBytes()
`optional string count_equal = 9;`

Returns:
  The bytes for countEqual.

### hasCountNotEqual

boolean hasCountNotEqual()
`optional string count_not_equal = 10;`

Returns:
  Whether the countNotEqual field is set.

### getCountNotEqual

String getCountNotEqual()
`optional string count_not_equal = 10;`

Returns:
  The countNotEqual.

### getCountNotEqualBytes

ByteString getCountNotEqualBytes()
`optional string count_not_equal = 10;`

Returns:
  The bytes for countNotEqual.

### hasHasKey

boolean hasHasKey()
`optional string has_key = 11;`

Returns:
  Whether the hasKey field is set.

### getHasKey

String getHasKey()
`optional string has_key = 11;`

Returns:
  The hasKey.

### getHasKeyBytes

ByteString getHasKeyBytes()
`optional string has_key = 11;`

Returns:
  The bytes for hasKey.